PHP Manual
Prev |  | Next

# DOMDocument->load()

(no version information, might be only in CVS)

DOMDocument->load() -- Load XML from a file

## Description

class DOMDocument {
mixed load ( string filename [, int options] )
}

Loads an XML document from a file.

## Parameters

`filename`

  The path to the XML document.

## Return Values

Returns `TRUE` on success or `FALSE` on failure. If called statically, returns a DOMDocument.

## Examples

Example 1. Creating a Document

`<?php $doc = new DOMDocument(); $doc->load('book.xml'); echo $doc->saveXML(); ?>`

## See Also

DOMDocument->loadXML()
DOMDocument->save()
DOMDocument->saveXML()

Prev | Home | Next
DOMDocument->importNode() | Up | DOMDocument->loadHTML()